Latest 0.0.2
Homepage https://github.com/brianbryant/SFExtensions
License MIT
Platforms ios 9.0
Authors

CI Status
Version
License
Platform

The swift version of System Class Extension in iOS

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

  • iOS 10.0+
  • Xcode 9+
  • Swift 4.0+

Communication

  • If you need help, use Stack Overflow. (Tag ‘sftabpage’)
  • If you’d like to ask a general question, use Stack Overflow.
  • If you found a bug, open an issue.
  • If you have a feature request, open an issue.
  • If you want to contribute, submit a pull request.

Installation

CocoaPods

SFExtensions is available through CocoaPods. CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

To install
it, simply add the following line to your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '9.0'
use_frameworks!

target '<Your Target Name>' do
pod 'SFExtensions'
end

Then, run the following command:

```bash
$ pod install

Manually

If you prefer not to use any of the aforementioned dependency managers, you can integrate SFExtensions into your project manually.

Author

brianbryant, [email protected]

Usage

import UIKit
import SFExtensions

class ViewController: UIViewController {

override func viewDidLoad() {
    super.viewDidLoad()

}

License

SFExtensions is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "SFExtensions",
    "version": "0.0.2",
    "summary": "Swiftu5e38u7528u7c7bu7684u6269u5c55",
    "description": "u6269u5c55u4e86u4e00u4e9bu7cfbu7edfu5e38u7528u7c7buff0cu589eu52a0u4e86u4e00u4e9bu65b0u529fu80fduff01",
    "homepage": "https://github.com/brianbryant/SFExtensions",
    "license": "MIT",
    "authors": {
        "brianbryant": "[email protected]"
    },
    "platforms": {
        "ios": "9.0"
    },
    "source": {
        "git": "https://github.com/brianbryant/SFExtensions.git",
        "tag": "0.0.2"
    },
    "source_files": [
        "Sources",
        "Sources/**/*.{h,m,swift}"
    ],
    "exclude_files": "Sources/Exclude"
}

Pin It on Pinterest

Share This